GROUPMEMS(8)

NAME
groupmems - verwaltet die Mitglieder der Hauptgruppe eines Benutzers

ÜBERSICHT

groupmems -a Benutzer_Name | -d Benutzer_Name | [-g Gruppen_Name] | -l | -p

BESCHREIBUNG

Mit dem Befehl groupmems kann ein Benutzer die Mitgliederliste seiner eigenen Gruppe verwalten, ohne Root-Rechte zu benötigen. Das Werkzeug groupmems ist für Systeme gedacht, auf denen die Hauptgruppe eines Benutzers den gleichen Namen hat wie der Benutzer (z.B. fritz/fritz).

Nur Root als Administrator kann mit groupmems die Mitgliederlisten anderer Gruppen bearbeiten.

OPTIONEN

Die Optionen, die vom Befehl groupmems unterstützt werden, sind:

-a, --addBenutzer_Name
    Fügt einen Benutzer der Mitgliederliste der Gruppe hinzu.

    Wenn die Datei /etc/gshadow vorhanden ist, die Gruppe darin aber keinen Eintrag hat, wird ein solcher erstellt.

-d, --deleteBenutzer_Name
    Löscht einen Benutzer aus der Mitgliederliste der Gruppe.

    Wenn /etc/gshadow vorhanden ist, wird der Benutzer aus der Liste der Mitglieder und Gruppenverwalter entfernt.

    Wenn die Datei /etc/gshadow vorhanden ist, die Gruppe darin aber keinen Eintrag hat, wird ein solcher erstellt.

-g, --groupGruppen_Name
    Root kann eine Gruppen bestimmen, deren Mitgliederliste er bearbeiten will.

-h, --help
    zeigt die Hilfe an und beendet das Programm

-l, --list
    gibt die Mitgliederliste aus

-p, --purge
    löscht alle Benutzer aus der Mitgliederliste der Gruppe

    Wenn die Datei /etc/gshadow vorhanden ist, die Gruppe darin aber keinen Eintrag hat, wird ein solcher erstellt.

-R, --rootCHROOT_VERZ
    führt die Veränderungen in dem Verzeichnis CHROOT_VERZ durch und verwendet die Konfigurationsdateien aus dem Verzeichnis CHROOT_VERZ

EINRICHTUNG

Die ausführbare Datei groupmems sollte die Rechte 2770 haben und dem Benutzer root und der Gruppe groups gehören. Der Systemadministrator kann Benutzer der Gruppe groups hinzufügen, um ihnen zu ermöglichen, mit groupmems die Mitgliederliste ihrer eigenen Gruppe zu verwalten.

    	$ groupadd -r groups
    	$ chmod 2770 groupmems
    	$ chown root.groups groupmems
    	$ groupmems -g groups -a gk4

KONFIGURATION

Die folgenden Konfigurationsvariablen in /etc/login.defs beeinflussen das Verhalten dieses Werkzeugs:

MAX_MEMBERS_PER_GROUP (Zahl)
    Maximale Anzahl von Mitgliedern je Gruppeneintrag. Wenn das Maximum erreicht wird, wird ein weiterer Eintrag in /etc/group (mit dem gleichen Namen, dem gleichen Passwort und der gleichen GID) erstellt.

    Der Standardwert ist 0, was zur Folge hat, dass die Anzahl der Mitglieder einer Gruppe nicht begrenzt ist.

    Diese Fähigkeit (der aufgeteilten Gruppe) ermöglicht es, die Zeilenlänge in der Gruppendatei zu begrenzen. Damit kann sichergestellt werden, dass die Zeilen für NIS-Gruppen nicht länger als 1024 Zeichen sind.

    Falls Sie eine solche Begrenzung benötigen, können Sie 25 verwenden.

    Hinweis: Aufgeteilte Gruppen werden möglicherweise nicht von allen Werkzeugen unterstützt, selbst nicht aus der Shadow-Werkzeugsammlung. Sie sollten diese Variable nur setzen, falls Sie zwingend darauf angewiesen sind.

DATEIEN

/etc/group
    Informationen zu den Gruppenkonten

/etc/gshadow
    verschlüsselte Informationen zu den Gruppenkonten

SIEHE AUCH

chfn(1), chsh(1), passwd(1), groupadd(8), groupdel(8), useradd(8), userdel(8), usermod(8).